LibreOffice: Dictionary Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
Dictionary Service Reference

represents a dictionary used for spell checking and hyphenation. More...

Inheritance diagram for Dictionary:

## Exported Interfaces
interface | com::sun::star::linguistic2::XDictionary
| to access the dictionary functionality.
interface | com::sun::star::linguistic2::XSearchableDictionary
| provide search for similar words functionality.
interface | com::sun::star::frame::XStorable
| to save the dictionary content to file

## Additional Inherited Members
Public Member Functions inherited from XDictionary
com::sun::star::linguistic2::DictionaryType | getDictionaryType ()
| returns the type of the dictionary.
void | setActive ([in] boolean bActivate)
| specifies whether the dictionary should be used or not .
boolean | isActive ()
long | getCount ()
com::sun::star::lang::Locale | getLocale ()
void | setLocale ([in] com::sun::star::lang::Locale aLocale)
| is used to set the language of the dictionary.
com::sun::star::linguistic2::XDictionaryEntry | getEntry ([in] string aWord)
| searches for an entry that matches the given word.
boolean | addEntry ([in] com::sun::star::linguistic2::XDictionaryEntry xDicEntry)
| is used to add an entry to the dictionary.
boolean | add ([in] string aWord, [in] boolean bIsNegative, [in] string aRplcText)
| is used to make an entry in the dictionary.
boolean | remove ([in] string aWord)
| removes an entry from the dictionary.
boolean | isFull ()
sequence< com::sun::star::linguistic2::XDictionaryEntry > | getEntries ()
void | clear ()
| removes all entries from the dictionary.
boolean | addDictionaryEventListener ([in] com::sun::star::linguistic2::XDictionaryEventListener xListener)
| adds an entry to the list of dictionary event listeners.
boolean | removeDictionaryEventListener ([in] com::sun::star::linguistic2::XDictionaryEventListener xListener)
| removes an entry from the list of dictionary event listeners.
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XSearchableDictionary
sequence< com::sun::star::linguistic2::XDictionaryEntry > | searchSimilarEntries ([in] string aWord)
| search for similar entries in the dictionary.
Protected Member Functions inherited from XStorable
boolean | hasLocation ()
| The object may know the location because it was loaded from there, or because it is stored there.
string | getLocation ()
| After XStorable::storeAsURL() it returns the URL the object was stored to.
boolean | isReadonly ()
| It is not possible to call XStorable::store() successfully when the data store is read-only.
void | store () raises ( com::sun::star::io::IOException )
| stores the data to the URL from which it was loaded.
void | storeAsURL ([in] string sURL, [in] sequence< com::sun::star::beans::PropertyValue > lArguments) raises ( com::sun::star::io::IOException )
| stores the object's persistent data to a URL and makes this URL the new location of the object.
void | storeToURL ([in] string sURL, [in] sequence< com::sun::star::beans::PropertyValue > lArguments) raises ( com::sun::star::io::IOException )
| stores the object's persistent data to a URL and continues to be a representation of the old URL.

## Detailed Description

represents a dictionary used for spell checking and hyphenation.

See also
  com::sun::star::linguistic2::DictionaryList
  com::sun::star::linguistic2::XSearchableDictionaryList

Since
  OOo 3.0.1

## Exported Interfaces

## ◆ com::sun::star::frame::XStorable

interface com::sun::star::frame::XStorable
| optional

to save the dictionary content to file

storeAsURL and storeToURL are empty implementations since the dictionaries are expected to be found in specific locations

## ◆ com::sun::star::linguistic2::XDictionary

interface com::sun::star::linguistic2::XDictionary

to access the dictionary functionality.

## ◆ com::sun::star::linguistic2::XSearchableDictionary

interface com::sun::star::linguistic2::XSearchableDictionary
| optional

provide search for similar words functionality.

The documentation for this service was generated from the following file:

- com/sun/star/linguistic2/Dictionary.idl